#!/usr/bin/env python
#  _________________________________________________________________________
#
#  PyUtilib: A Python utility library.
#  Copyright (c) 2008 Sandia Corporation.
#  This software is distributed under the BSD License.
#  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
#  the U.S. Government retains certain rights in this software.
#  _________________________________________________________________________
#
from logging import getLogger, StreamHandler, INFO
from formatter import NullWriter

class PyutilibSvnFormatter(NullWriter):
    maxLvlLength = 7 # <- compute this?
    field = "%%-%is %%s" % (maxLvlLength+2)
    fill = "\n" + ' '*(maxLvlLength+2+1)
    
    def format(self, record):
        msg = record.getMessage().replace("\n", PyutilibSvnFormatter.fill)
        level = "(" + record.levelname + ")"
        return PyutilibSvnFormatter.field % ( level, msg )

log = getLogger('pyutilib.svn')
log_handler = StreamHandler()
log_handler.setFormatter(PyutilibSvnFormatter())
log.addHandler(log_handler)
log.setLevel(INFO)
